/*
 *  Gtk-Parted - a front-end for libparted
 *  Copyright (C) 2000, 2001  Damien Genet
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef POPUP_CALLBACKS_H
#define POPUP_CALLBACKS_H

#include "gtk-parted.h"

/*
 * popup entries
 */
typedef enum _menu_popup_entry menu_popup_entry;
enum _menu_popup_entry {
	POPUP_PROPERTIES	= 1,
	POPUP_ADD		= 2,
	POPUP_ADD_PRIMARY	= 3,
	POPUP_ADD_LOGICAL	= 4,
	POPUP_ADD_EXTENDED	= 5,
	POPUP_DEL		= 6,
	POPUP_ADVANCED		= 7,
	POPUP_MAXIMISE_PART	= 8,
	POPUP_MINIMISE_EXT	= 9,
	POPUP_CREATE_FS		= 10,
	POPUP_CREATE_FS_ext2    = 11,
	POPUP_CREATE_FS_FAT     = 12,
	POPUP_CREATE_FS_linux_swap	= 13,
	POPUP_CHECK_FS		= 14,
	POPUP_DEL_ALL		= 15,
	POPUP_RESET		= 16,
	POPUP_RESET_DOS		= 17,
	POPUP_RESET_LOOP	= 18,
	POPUP_RESET_MAC		= 19,
	POPUP_RESET_PC98	= 20,
	POPUP_REFRESH		= 21,
	POPUP_WRITE		= 22,
	POPUP_APROPOS		= 23
};

void
on_menu_popup_selected                 (gpedInfo        *info,
                                        guint            popup_entry);

#endif /* POPUP_CALLBACKS_H */
